package com.hwrj.cloud.admin.mapper;

import com.hwrj.cloud.admin.model.UmsCompanyShare;
import com.hwrj.cloud.admin.model.UmsCompanyShareExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsCompanyShareMapper {
    long countByExample(UmsCompanyShareExample example);

    int deleteByExample(UmsCompanyShareExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsCompanyShare record);

    int insertSelective(UmsCompanyShare record);

    List<UmsCompanyShare> selectByExample(UmsCompanyShareExample example);

    UmsCompanyShare selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsCompanyShare record, @Param("example") UmsCompanyShareExample example);

    int updateByExample(@Param("record") UmsCompanyShare record, @Param("example") UmsCompanyShareExample example);

    int updateByPrimaryKeySelective(UmsCompanyShare record);

    int updateByPrimaryKey(UmsCompanyShare record);
}